package com.swagger.rest.repositories

import com.swagger.rest.models.User
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.data.jpa.repository.Query

interface UserRepository:JpaRepository<User, Long> {
    @Query("SELECT u FROM User u WHERE u.username = :username")
    fun getUserByUsername(username: String): User

    fun findByUsernameContaining(username:String?):List<User>
}